implicit real*8(a-h,o-z)
dimension omg(10), rmd(10)
omg(1)=1.
rmd(1)=10.
t=0.d0
nakami=0.d0
do i=1, 1
!a=(1.d0-cos(omg(i)*t))
r=rmd(i)
r=1.d-3
tasu=(cosh(r)-cos(r)-(cosh(r)+cos(r))/(sinh(r)+sin(r))*(sinh(r)-sin(r)))**2/r**4
nakami=nakami+tasu
end do
print*,'u(t)=',tasu
end
